Bug 82149 - Update devel/re2c to 0.9.7
Summary: Update devel/re2c to 0.9.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-11 23:00 UTC by Alex Kiesel
Modified: 2005-06-13 10:55 UTC (History)
0 users

See Also:


Attachments
re2c.diff (961 bytes, patch)
2005-06-11 23:00 UTC, Alex Kiesel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kiesel 2005-06-11 23:00:40 UTC
    Update re2c to most recent version.
Comment 1 Roman Bogorodskiy freebsd_committer 2005-06-12 04:24:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->novel

I'll take it.
Comment 2 Roman Bogorodskiy freebsd_committer 2005-06-12 04:29:40 UTC
State Changed
From-To: open->feedback

Doesn't build on 4.x: 

make  all-am 
source='code.cc' object='code.o' libtool=no  DEPDIR=.deps depmode=gcc /bin/sh ./depcomp  c++ -DHAVE_CONFIG_H -I. -I. -I.      -O -pipe -march=pentiumpro -c -o code.o code.cc 
code.cc:996: `char_type' was not declared in this scope 
code.cc:997: confused by earlier errors, bailing out 
*** Error code 1
Comment 3 Alex Kiesel 2005-06-13 10:19:41 UTC
This version seems to require GCC 3.4. However, that does not seem to
compile with 4.x.

I've added 
USE_GCC=	3.4+

to the Makefile. Can you verify this?
Comment 4 Roman Bogorodskiy freebsd_committer 2005-06-13 10:54:51 UTC
State Changed
From-To: feedback->closed

Committed, thanks!